You must have version.h before building dependencies!
authorMark Spencer <markster@digium.com>
Sun, 10 Jul 2005 15:53:05 +0000 (15:53 +0000)
committerMark Spencer <markster@digium.com>
Sun, 10 Jul 2005 15:53:05 +0000 (15:53 +0000)
git-svn-id: https://origsvn.digium.com/svn/asterisk/trunk@6071 65c4cc65-6c06-0410-ace0-fbb531ad65f3

Makefile

index 0ea71fc..150ac71 100755 (executable)
--- a/Makefile
+++ b/Makefile
@@ -763,7 +763,7 @@ valgrind: dont-optimize
 depend: .depend defaults.h include/asterisk/build.h include/asterisk/version.h
        for x in $(SUBDIRS); do $(MAKE) -C $$x depend || exit 1 ; done
 
-.depend:
+.depend: include/asterisk/version.h
        build_tools/mkdep ${CFLAGS} $(filter-out ast_expr.c,$(wildcard *.c))
        build_tools/mkdep -a -d ${CFLAGS} ast_expr.c